<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php

$bu_user = Zend_Auth::getInstance()->getIdentity();
$req = Zend_Controller_Front::getInstance()->getRequest();

$system = Zend_Registry::get('system_config');

//Model_BOUsersSessions::refresh($bu_user->id);

if ($bu_user->type == 'admin') {
	$req->setParam('application_id', $bu_user->application_id);
}


$menu_params = array(
	0 => array(
		'class' => 'dashboard',
		'title' => 'Dashboard',
		/*'link' => '/',*/
		'key' => '^((dashboard)$|issues|report-problem|backend-user-sessions|dashboard/fraud-warnings|escorts-v2/profiles-due|escorts-v2/not-verified-users|journal|wiki|feedbacks|private-messages|blacklisted-words|blacklisted-emails|dashboard/dublicities|dashboard/cookie-dublicities|reciprocal-links)$',
		'children' => array(
            0 => array(
            	'title' => 'Dashboard',
				'link' => '/dashboard',
				'key' => '^dashboard$',
			),
		),
		'res_id' => 'default/dashboard'
	),
	1 => array(
		'class' => 'escorts',
		'title' => 'Escorts & Agencies',
		'key' => '^(escorts|agencies)$',
		'children' => array(
            0 => array(
            	'title' => 'Escorts',
				'link' => '/escorts',
				'key' => '^escorts$',
			),

            1 => array(
            	'title' => 'Agencies',
				'link' => '/agencies',
				'key' => '^agencies',
				'res_id' => 'default/agencies'
			),
		),
		'res_id' => 'default/escorts'
	),
	2 => array(
		'class' => 'members',
		'title' => 'Members',
		'link' => '/members',
		'key' => '(^members)',
		'children' => array(
            0 => array(
            	'title' => 'Members',
				'link' => '/members',
				'key' => '^members',
			),
		),
		'res_id' => 'default/members'
	),

	10 => array(
		'class' => 'system',
		'title' => 'System',
		'key' => '^system|geography|backend-users',
		'children' => array(
			0 => array(
				'title' => 'Dictionary',
				'link' => '/system/dictionary',
				'key' => '^system/dictionary',
			),

			1 => array(
				'title' => 'Static Content',
				'link' => '/system/static-content',
				'key' => '^system/static-content',
			),

			3 => array(
            	'title' => 'Applications',
				'link' => '/system/applications',
				'key' => '^system/applications',
			),


			/*GEOGRAPHY*/
			5 => array(
				'link' => 'separator',
			),

			6 => array(
				'title' => 'Countries',
				'link' => '/geography/countries',
				'key' => '^geography/countries',
			),
            7 => array(
				'title' => 'Regions',
				'link' => '/geography/regions',
				'key' => '^geography/regions',
			),
			
			9 => array(
				'title' => 'Cities',
				'link' => '/geography/cities',
				'key' => '^geography/cities',
			),
			
			10 => array(
				'title' => 'City Zones',
				'link' => '/geography/cityzones',
				'key' => '^geography/cityzones',
			),
			/*GEOGRAPHY*/

			11 => array(
				'link' => 'separator',
			),
			
			12 => array(
				'title' => 'BO Users',
				'link' => '/backend-users',
				'key' => '^backend-users',
			),
		),
		'res_id' => 'system'
	)
);




$menu = new Model_Menu($menu_params);

$submenu = array();

foreach ( $menu->getChildren() as $item ) {
	if ( $item->is_active ) {
		$submenu = $item->children;
		$this->headTitle(strip_tags($item->title), 'PREPEND');
	}
}

foreach ( $submenu as $item ) {
	if ( $item->is_active ) {
		$this->headTitle(strip_tags($item->title), 'PREPEND');
	}
}

$acl = Model_Acl::getInstance();

?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<?= $this->headMeta() ?>
	<?= $this->headTitle() ?>

	<?
		if ( isset($postfix) ) {
			$this->headLink()->prependStylesheet($this->baseUrl() . '/css/style.css');
		}
	?>

	<?= $this->headLink()
			->prependStylesheet($this->baseUrl() . '/css/Roar.css')
			->prependStylesheet($this->baseUrl() . '/css/style.css'); ?>

	<!-- MooTools -->
	<?= $this->headScript()
		->prependFile($this->baseUrl() . '/js/Roar.js')
		->prependFile($this->baseUrl() . '/js/actions-menu.js')
					
		/*->prependFile($this->baseUrl() . '/js/mootools-1.2.4.2-more.js')
		->prependFile($this->baseUrl() . '/js/mootools-1.2.4-core.js')*/
		
		->prependFile($this->baseUrl() . '/js/mootools-1.4.0.1-more.js')
		->prependFile($this->baseUrl() . '/js/mootools-1.4.5-core.js')
	?>

	<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
	<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
	<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

	<style type="text/css">
		@import url('/css/Autocompleter.css');
	</style>

	<script type="text/javascript">
		document.addEvent('domready', function () {
			if ( $('btn-synchronize') ) {
				var overlay = new Cubix.Overlay.Box(document.body, { showLoader: true });
				new Cubix.Button($('btn-synchronize'), { onClick: function () {
					overlay.disable();
					new Request({
						url: '/seo/instances/sync',
						method: 'get',
						onSuccess: function (resp) {
							//console.log(resp);
							resp = JSON.decode(resp);
							overlay.enable();
							if ( resp.status == 'error' ) {
								alert('An error occured when syncronizing frontend application');
								return;
							}
						}
					}).send();
				}, icon: 'refresh', caption: 'Synchronize', classes: 'ml20' });
			}
		});
	</script>
	 <script type="text/javascript">
		window.addEvent('domready', function () {
			var timer;
			$('menu').getChildren('li').each(function (item) {var timer;
				var initiallyActive = item.hasClass('active');
				
				item.getElement('a').addEvent('mouseenter', function (e) {
					show.bind(this)();
				});

				item.getElement('a').addEvent('mouseleave', function (e) {
					timer = hide.bind(this).delay(100);
				});

				var show = function () {
					$clear(timer);
					var subMenu = this.getParent().getElement('ul');
					this.getParent().addClass('active');
					subMenu.setStyle('min-width', (this.getWidth() + 5) + 'px');
					subMenu.setStyle('z-index', '10000');
					subMenu.setStyle('display', 'block');
				};

				var hide = function () {
					$clear(timer);
					
					/*$('menu').getChildren('li.active').removeClass('active').each(function (li) {
						li.getElement('ul').setStyle('display', 'none');
					});*/

					var subMenu = this.getParent().getElement('ul');

					if ( ! initiallyActive ) {
						this.getParent().removeClass('active');
					}
					
					subMenu.setStyle('display', 'none');
				};

				item.getElement('ul').addEvent('mouseenter', function () {
					$clear(timer);
				});

				item.getElement('ul').addEvent('mouseleave', function () {
					timer = hide.bind(this.getParent().getFirst('a')).delay(100);
				});
			});
			
			
			if ( $defined($$('.ch_pass')[0]) ) 
			{			
				var popup = new Cubix.Popup.Ajax({
					abar: [
						{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
						{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
					],
					width: 500
				});

				$$('.ch_pass')[0].addEvent('click', function(e){
					e.stop();
					popup.setTitle('Edit Backend User: <?= $bu_user->username ?>');
					popup.id = <?= $bu_user->id ?>;
					popup.id = '<?= $bu_user->username ?>';
					popup.load('<?= $this->baseUrl() ?>/backend-users/edit?id=<?= $bu_user->id ?>', function () {
						this.open();
					});
				});
			}			
		})
	</script>
</head>

<body>
<? $user = Zend_Auth::getInstance()->getIdentity(); ?>
<div id="logout-box">
	<? if ( $bu_user->type == 'sales manager' || $bu_user->type == 'payments manager' ): ?>
	<div class="fleft" style="margin-top: 2px;"><a href="#" style="color: #fff; text-decoration: underline; " class="ch_pass">[ Change Password ]</a></div>
	<? endif; ?>
	<div class="user fleft">Welcome, <strong><?= $user ? $user->first_name . ' ' . $user->last_name : '' ?></strong></div>
	<div class="cool-btn fleft"><a class="cool-btn-i" href="/auth/logout">
		<strong>Logout</strong>
	</a></div>
</div>

<div id="top">
	<ul id="menu">
		<? foreach ($menu->getChildren() as $item): if ( isset($item->res_id) && ! $acl->isAllowed($item->res_id) ) continue; ?>
		<li<?= $item->is_active ? ' class="active"' : '' ?>>
			<a href="<?= $item->link ?>" class="<?= $item->class ?>"><?= $item->title ?></a>
			<ul>
			<? foreach ( $item->children as $i => $sitem ): ?>
				<?
					$classes = array();
					if ( $sitem->is_active ) $classes[] = 'active';
					if ( count($item->children) - 1 == $i ) $classes[] = 'last';
					if ( $i == 0 ) $classes[] = 'first';
				?>				
				<li<?= count($classes) ? ' class="' . implode(' ', $classes) . '"' : '' ?>><? if($sitem->link != 'separator'): ?><a href="<?= $sitem->link ?>"><?= $sitem->title ?></a><? endif; ?></li>
			<? endforeach; ?>
			</ul>
		</li>
		<? endforeach; ?>
	</ul>

	<div class="clear"></div>
</div>

<div id="submenu">
	
<? foreach ($submenu as $item): if ( isset($item->res_id) && ! $acl->isAllowed($item->res_id) ) continue; ?>
	<? if ( isset($item->type) && $item->type == 'button' ): ?>
	<a href="<?= $item->link ?>" id="<?= $item->id ?>"></a>
	<? continue; endif ?>

	<? if( $item->link == 'separator' ): ?>
		<p style="float: left; margin: 3px 15px 0 5px;">|</p>
	<? else: ?>
		<a href="<?= $item->link ?>"<?= $item->is_active ? ' class="active"' : '' ?>><?= $item->title ?></a>
	<? endif; ?>
<? endforeach; ?>
</div>

<div id="wrapper">
	<div id="content">
		<?= $this->layout()->content ?>
	</div>
</div>

<!--<option value="<?= $app->id ?>"<?= /*Zend_Controller_Front::getInstance()->getRequest()->getParam('application_id', '')*/$user->application_id == $app->id ? ' selected="selected"' : '' ?>><?= $app->title ?>&nbsp;&nbsp;</option>-->

<div id="global-application">
	<form action="/dashboard/switch-application" method="post">
		<input type="hidden" name="back_to" value="<?= $_SERVER['REQUEST_URI'] ?>" />
		<input type="hidden" name="global_application_id" value="" />
		<?
			if ( $user->type == 'superadmin' || $user->type == 'seo manager' ) {
				$c_app_id = isset($_COOKIE['application_id']) ? intval($_COOKIE['application_id']) : null;
				
				if ( ! $c_app_id ) {
					if ( ! $user->application_id ) {
						$current_app_id = Sceon_Application::getAll();
						$c_app_id = $current_app_id[0]->id;
					}
					else {
						$c_app_id = $user->application_id;
					}
				}
			}
			elseif ( $user->type == 'admin' || $user->type == 'sales person' || $user->type == 'payments manager' ) {
				$c_app_id = $user->application_id;
			}
			else {
				$c_app_id = $user->application_id;
			}

			//Zend_Controller_Front::getInstance()->getRequest()->setParam('application_id', $c_app_id);
			$c_app = Sceon_Application::getById($c_app_id);
				
		?>
		<? if ( $user->type == 'superadmin' || $user->type == 'seo manager' ): ?>
		<div class="cx-selectbox">
			<div style="" class="selected"><?= $c_app->title ?></div>
			<ul>
				<? foreach ( Sceon_Application::getAll() as $app ): if ( $app->id == $c_app_id ) continue ?>
				<li><a style="background-image: url('/img/preview/icon_flag_<?= $app->iso ?>.gif')" href="#" onclick="return changeCurrentApplication(<?= $app->id ?>)"><?= $app->title ?></a></li>
				<? endforeach ?>
			</ul>
		</div>
		<? else: ?>
			<div class="cx-selectbox">
				<div style="background-image: url('/img/preview/icon_flag_<?= $c_app->iso ?>.gif')" class="selected"><?= $c_app->title ?></div>
			</div>
		<? endif ?>
		<?/*<? if ( $user->type == 'superadmin' ): ?>
		<?= $_COOKIE['application_'] ?>
		<select name="global_application_id" onchange="this.form.submit()">
			<? foreach ( Sceon_Application::getAll() as $app ): ?>
			<option value="<?= $app->id ?>"<?= isset($_COOKIE['application_id']) ? $_COOKIE['application_id'] == $app->id ? ' selected="selected"' : '' : $user->application_id == $app->id ? ' selected="selected"' : '' ?>><?= $app->title ?>&nbsp;&nbsp;</option>
			<? endforeach; ?>
		</select>
		<? endif; ?>*/?>
	</form>
</div>
	
<script type="text/javascript">
	$$('.cx-selectbox').each(function (select) {
		if ( select.getElement('ul') ) {
			var list = select.getElement('ul'), selected = select.getElement('.selected');
			select.addEvents({
				mouseenter: function () {
					list.setStyle('display', 'block');
				},

				mouseleave: function () {
					list.setStyle('display', 'none');
				}
			});
		}
	});
	var changeCurrentApplication = function (app_id) {
		new Cubix.Overlay(document.body, { showLoader: false }).disable();
		var form = $('global-application').getElement('form'), hidden = form.getElement('input[name=global_application_id]');
		hidden.set('value', app_id);
		form.submit();
		return false;
	}
</script>

</body>
</html>
